import HaikuBase from './HaikuBase';
export default class HaikuContext extends HaikuBase {
    clock: any;
    component: any;
    config: any;
    container: any;
    CORE_VERSION: any;
    mount: any;
    platform: any;
    PLAYER_VERSION: any;
    renderer: any;
    tickables: any;
    ticks: any;
    unmountedTickables: any;
    constructor(mount: any, renderer: any, platform: any, bytecode: any, config: any);
    getRootComponent(): any;
    getClock(): any;
    contextMount(): void;
    contextUnmount(): void;
    addTickable(tickable: any): void;
    removeTickable(tickable: any): void;
    assignConfig(config: any, options: any): void;
    getContainer(doForceRecalc?: boolean): any;
    render(): any;
    performFullFlushRender(): void;
    performPatchRender(skipCache?: boolean): void;
    updateMountRootStyles(): void;
    tick(skipCache?: boolean): void;
    getGlobalUserState(): any;
}
